summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2018-08-10 18:36:47 +0200
committerUlrich Müller <ulm@gentoo.org>2018-08-15 09:05:46 +0200
commitfe445ca598ccf67e23e6fb4ff2242830777188e0 (patch)
tree3943e05f18bfab12131c6c61de38744602655796
parentmedia-libs/urt: Fix includes (bug #293578). (diff)
downloadgentoo-fe445ca598ccf67e23e6fb4ff2242830777188e0.tar.gz
gentoo-fe445ca598ccf67e23e6fb4ff2242830777188e0.tar.bz2
gentoo-fe445ca598ccf67e23e6fb4ff2242830777188e0.zip
eutils.eclass: Disable eqawarn in EAPI 7.
The eqawarn command is part of EAPI 7, therefore the eclass should not override it. Also we cannot rely on its being a shell function.
-rw-r--r--eclass/eutils.eclass32
1 files changed, 19 insertions, 13 deletions
diff --git a/eclass/eutils.eclass b/eclass/eutils.eclass
index 9b4767e1874..e5d0ebeebb0 100644
--- a/eclass/eutils.eclass
+++ b/eclass/eutils.eclass
@@ -25,19 +25,6 @@ case ${EAPI:-0} in
;;
esac
-# @FUNCTION: eqawarn
-# @USAGE: [message]
-# @DESCRIPTION:
-# Proxy to ewarn for package managers that don't provide eqawarn and use the PM
-# implementation if available. Reuses PORTAGE_ELOG_CLASSES as set by the dev
-# profile.
-if ! declare -F eqawarn >/dev/null ; then
- eqawarn() {
- has qa ${PORTAGE_ELOG_CLASSES} && ewarn "$@"
- :
- }
-fi
-
# @FUNCTION: emktemp
# @USAGE: [temp dir]
# @DESCRIPTION:
@@ -415,4 +402,23 @@ in_iuse() {
;;
esac
+case ${EAPI:-0} in
+0|1|2|3|4|5|6)
+
+# @FUNCTION: eqawarn
+# @USAGE: [message]
+# @DESCRIPTION:
+# Proxy to ewarn for package managers that don't provide eqawarn and use the PM
+# implementation if available. Reuses PORTAGE_ELOG_CLASSES as set by the dev
+# profile.
+if ! declare -F eqawarn >/dev/null ; then
+ eqawarn() {
+ has qa ${PORTAGE_ELOG_CLASSES} && ewarn "$@"
+ :
+ }
+fi
+
+;;
+esac
+
fi